Patches for aports can be sent to this list

1

[alpine-aports] [PATCH] main/sqlite: upgrade to 3.14.2

Daniel Sabogal
Details
Message ID
<20160919012448.9754-1-dsabogalcc@gmail.com>
Sender timestamp
1474248287
DKIM signature
missing
Download raw message
Patch: +4 -4
---
 main/sqlite/APKBUILD | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

diff --git a/main/sqlite/APKBUILD b/main/sqlite/APKBUILD
index 514f92e..37594dd 100644
--- a/main/sqlite/APKBUILD
+++ b/main/sqlite/APKBUILD
@@ -1,7 +1,7 @@
 # Maintainer: Carlo Landmeter <clandmeter@gmail.com>
 # Contributor: Ɓukasz Jendrysik <scadu@yandex.com>
 pkgname=sqlite
-pkgver=3.14.1
+pkgver=3.14.2
 _a=${pkgver%%.*}
 _b=${pkgver#${_a}.}
 _b=${_b%%.*}
@@ -76,9 +76,9 @@ libs() {
 	mv "$pkgdir"/usr/lib "$subpkgdir"/usr/
 }
 
-md5sums="3634a90a3f49541462bcaed3474b2684  sqlite-autoconf-3140100.tar.gz
+md5sums="90c53cacb811db27f990b8292bd96159  sqlite-autoconf-3140200.tar.gz
 c1cdbc5544034d9012e421e75a5e4890  license.txt"
-sha256sums="bc7182476900017becb81565ecea7775d46ab747a97281aa610f4f45881c47a6  sqlite-autoconf-3140100.tar.gz
+sha256sums="644f0c127f7d0cbe8765b9bbdf9ed09d6a2f2b9dfba48ddfd8ca0a42fdb5b3fc  sqlite-autoconf-3140200.tar.gz
 4e57d9ac979f1c9872e69799c2597eeef4c6ce7224f3ede0bf9dc8d217b1e65d  license.txt"
-sha512sums="14d78eea1aef5bd143f942b88f01ef2c1ef58aeac6c0a10c0807761ac5301b71db7d787f82ba8215d804b80c115ee4800072d4aa86616d04d01aaf529e168461  sqlite-autoconf-3140100.tar.gz
+sha512sums="02c5ca3073e29307f842af3305793dd6251d2ac43ce3f37b5b9402d6582a6bda56a41f82b130d03997ebb3cc109d6ab7baa9a946c03e74ae5158426bc154fd70  sqlite-autoconf-3140200.tar.gz
 5bde14bec5bf18cc686b8b90a8b2324c8c6600bca1ae56431a795bb34b8b5ae85527143f3b5f0c845c776bce60eaa537624104cefc3a47b3820d43083f40c6e9  license.txt"
-- 
2.10.0



---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---

[alpine-aports] [PATCH] testing/spin: new aport

Daniel Sabogal
Details
Message ID
<20160919012448.9754-2-dsabogalcc@gmail.com>
In-Reply-To
<20160919012448.9754-1-dsabogalcc@gmail.com> (view parent)
Sender timestamp
1474248288
DKIM signature
missing
Download raw message
Patch: +56 -0
http://spinroot.com/
Tool for formal verification of distributed software systems
---
 testing/spin/APKBUILD       | 36 ++++++++++++++++++++++++++++++++++++
 testing/spin/makefile.patch | 20 ++++++++++++++++++++
 2 files changed, 56 insertions(+)
 create mode 100644 testing/spin/APKBUILD
 create mode 100644 testing/spin/makefile.patch

diff --git a/testing/spin/APKBUILD b/testing/spin/APKBUILD
new file mode 100644
index 0000000..f5a0c5a
--- /dev/null
+++ b/testing/spin/APKBUILD
@@ -0,0 +1,36 @@
+# Contributor: Daniel Sabogal <dsabogalcc@gmail.com>
+# Maintainer:
+pkgname=spin
+pkgver=6.4.5
+_pkgver=${pkgver//./}
+pkgrel=0
+pkgdesc="Tool for formal verification of distributed software systems"
+url="http://spinroot.com/"
+arch="x86 x86_64"
+license="BSD"
+depends=""
+makedepends="bison"
+subpackages="$pkgname-doc"
+source="http://spinroot.com/spin/Src/$pkgname$_pkgver.tar.gz
+	makefile.patch"
+
+builddir="$srcdir/Spin"
+
+build() {
+	make -C "$builddir/Src$pkgver" || return 1
+}
+
+package() {
+	cd "$builddir"
+	install -d "$pkgdir"/usr/share/man/man1
+	install -d "$pkgdir"/usr/bin
+	install -m644 Man/spin.1 "$pkgdir"/usr/share/man/man1 || return 1
+	install -m755 "Src$pkgver"/spin "$pkgdir"/usr/bin || return 1
+}
+
+md5sums="508241a94effd48b24ec29622bd0b668  spin645.tar.gz
+e6d0ca0ed4b3b5ff0a6f93db17234b1c  makefile.patch"
+sha256sums="44081282eb63cd9df763ebbcf8bad19dbeefecbebf8ac2cc090ea92e2ab71875  spin645.tar.gz
+75a028550a822e70a8e3a27b30af9dca960e9ac3f907d348404dfc68fab8855e  makefile.patch"
+sha512sums="77bc35bb852c0448915c655bf11910d0b226d30d66abaa63311e6227de03f920ca026e7399cbeebdae631368fd8091f1e8330bd3094bd4febdf7d5c7a81834ad  spin645.tar.gz
+de6e395714439e3e6e4d10dd25d9f3c2566ec7aa9ac58452a468a73c92690094f2df4c6e1a1425295a575e142764a33b7f86a2d2ea9788cfa23b84ff60bc43d6  makefile.patch"
diff --git a/testing/spin/makefile.patch b/testing/spin/makefile.patch
new file mode 100644
index 0000000..1e01f4f
--- /dev/null
+++ b/testing/spin/makefile.patch
@@ -0,0 +1,20 @@
+--- Spin/Src6.4.5/makefile.orig
+@@ -7,8 +7,6 @@
+ # see also ./make_pc for a simpler script not requiring make
+ # for 32-bit compilation, use ./make32
+ 
+-CC=gcc
+-CFLAGS=-O2 -DNXT	# on some systems add: -I/usr/include
+ 			# on a PC:    add -DPC
+ 			# on Solaris: add -DSOLARIS
+ 			# on a Mac:   add -DMAC
+@@ -37,7 +35,7 @@
+ 	tl_mem.o tl_rewrt.o tl_cache.o
+ 
+ spin:	$(SPIN_OS) $(TL_OS) spin.o
+-	$(CC) $(CFLAGS) -o spin spin.o $(SPIN_OS) $(TL_OS)
++	$(CC) $(CFLAGS) $(LDFLAGS) -o spin spin.o $(SPIN_OS) $(TL_OS)
+ 
+ install: spin
+ 	cp spin /usr/local/bin
-- 
2.10.0



---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---